Custom
For authentication instructions, see API overview.
Endpoints
get
List all custom fields objects
Returns a list of custom fields objects. The custom fields objects are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/customFields/objectsResponse
No response schemaget
List all custom fields
Returns a list of custom fields. The custom fields are returned in sorted order, with the most recent appearing first.
Path parameters
objectstringObject of the custom fields
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/customFields/:objectResponse
No response schemapost
Create custom fields
Create custom fields. You need to pass through any required fields, and you can optionally pass through other fields.
Path parameters
objectstringObject of the custom fields
Request body
namestringtypestringvaluesarraylabel1stringrequiredbooleanvisiblebooleanxPosnumberyPosnumbericonstringplaceholderstring
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/customFields/:object \ -d 'name="field1"' \ -d 'type="type1"' \ -d 'values="array"' \ -d 'label1="label1"' \ -d 'required=true' \ -d 'visible=true' \ -d 'xPos=1' \ -d 'yPos=1' \ -d 'icon="icon1"' \ -d 'placeholder="placeholder1"'Response
No response schemaput
Update custom fields
Path parameters
objectstringObject of the custom fields
fieldIdstringID of the custom field
Request body
namestringtypestringvaluesarraylabel1stringrequiredbooleanvisiblebooleanxPosnumberyPosnumbericonstringplaceholderstring
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/customFields/:object/:fieldId \ -d 'name="field1"' \ -d 'type="type1"' \ -d 'values="array"' \ -d 'label1="label1"' \ -d 'required=true' \ -d 'visible=true' \ -d 'xPos=1' \ -d 'yPos=1' \ -d 'icon="icon1"' \ -d 'placeholder="placeholder1"'Response
No response schemadelete
Delete custom fields
Path parameters
objectstringObject of the custom fields
fieldIdstringID of the custom field
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/customFields/:object/:fieldId